Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32232/?format=api
{ "ob_id": 32232, "uuid": "b28633ddc0f44d77a6aa81ad7bd66285", "title": "INCOMPASS: India Meteorology Department Doppler radar convective cell statistics v2", "abstract": "This dataset contains radar-derived measurements of cell-top height, size, 2 km reflectivity, and cell latitude and longitude from all convective cells between 14 May and 30 September 2016, where radar is available. The data was collected as part of the NERC/MoES Interaction of Convective Organization and Monsoon Precipitation, Atmosphere, Surface and Sea (INCOMPASS) field campaign.\r\n\r\nThe seven sites analysed here represent four different Indian climate regions, allowing the study of the spatiotemporal development of convection during the 2016 monsoon season at high (1 km) resolution. Variation in these different cell statistics are found over timescales of variability such as the diurnal cycle, active-break periods, and monsoon progression.\r\n\r\nThe updated radar-derived cell statistics here have been corrected from the previous version by removing all convective cells that touch the outer edge of the radar domain.\r\n\r\nThe data were collected as part of the INCOMPASS field campaign May-July 2016, funded by Natural Environmental Research Council (NERC) (NE/L01386X/1). The aim of the project was to improve the skill of rainfall prediction in operational weather and climate models by way of better understanding and representation of interactions between the land surface, boundary layer, convection, the large-scale environment and monsoon variability on a range of scales.", "keywords": "NERC, INCOMPASS, monsoon, radar, cells", "publicationState": "citable", "dataPublishedTime": "2021-03-11T14:40:22", "doiPublishedTime": "2021-11-02T11:44:36", "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32233/?format=api", "dataPath": "/badc/sa-monsoon/data/incompass/v2-convective-cells", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 58170164, "numberOfFiles": 8, "fileFormat": "Data are BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8732/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2703/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64831/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64832/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64833/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64834/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64835/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64836/?format=api" ], "dataLineage": "Data were processed by the data provider and delivered to the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10960/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19201/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/20240/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143338/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143334/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143341/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143333/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143335/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143336/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143337/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143339/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143340/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143342/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143343/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/31867/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }